Name:           imlib2
Version:        1.4.9
Release:        9
Summary:        Image handling and conversion library
License:        Imlib2
URL:            http://docs.enlightenment.org/api/imlib2/html/
Source0:        http://downloads.sourceforge.net/enlightenment/imlib2-%{version}.tar.bz2
Patch0001:      imlib2-1.4.7-multilib.patch
BuildRequires:  libjpeg-devel libpng-devel libtiff-devel pkgconfig
BuildRequires:  giflib-devel freetype-devel >= 2.1.9-4 libtool bzip2-devel
BuildRequires:  libX11-devel libXext-devel libid3tag-devel

%description
Imlib2 is an advanced replacement library for libraries like libXpm
that provides many more features with much greater flexibility and
speed than standard libraries, including font rasterization, rotation,
RGBA space rendering and blending, dynamic binary filters, scripting,
and more.

%package        devel
Summary:        Development package for imlib2
Requires:       imlib2 = %{version}-%{release}
Requires:       libX11-devel libXext-devel freetype-devel >= 2.1.9-4 pkgconfig

%description    devel
This package provide development files for imlib2.

%prep
%autosetup -n imlib2-%{version} -p1

%build
asmopts="--disable-mmx --disable-amd64"
%ifarch x86_64
asmopts="--disable-mmx --enable-amd64"
%endif
autoreconf -ifv
export x_libs=" "
%configure --disable-static --with-pic $asmopts
sed -i 's|^hardcode_libdir_flag_spec=.*|hardcode_libdir_flag_spec=""|g' libtool
sed -i 's|^runpath_var=LD_RUN_PATH|runpath_var=DIE_RPATH_DIE|g' libtool
%make_build

%install
%make_install
%delete_la

%post
/sbin/ldconfig

%postun
/sbin/ldconfig

%files
%doc COPYING AUTHORS README TODO
%{_bindir}/imlib2-config
%{_libdir}/libImlib2.so.*
%dir %{_libdir}/imlib2/
%dir %{_libdir}/imlib2/filters/
%dir %{_libdir}/imlib2/loaders/
%{_libdir}/imlib2/loaders/*.so
%{_libdir}/imlib2/filters/*.so
%exclude %{_libdir}/imlib2/loaders/id3.*
%exclude %{_bindir}/imlib2_*
%exclude %{_datadir}/imlib2/data/

%files devel
%doc doc/*.gif doc/*.html
%{_includedir}/Imlib2.h
%{_libdir}/libImlib2.so
%{_libdir}/pkgconfig/imlib2.pc


%changelog
* Mon Mar 23 2020 daiqianwen <daiqianwen@huawei.com> - 1.4.9-9
- Delete imlib2-id3tag-loader for avoiding libid3tag problem

* Sat Dec 21 2019 Tianfei <tianfei16@huawei.com> - 1.4.9-8
- Package init

